You are here

Firefox couldn't load XPCOM

6 posts / 0 new
Last post
hotjimmychonga
Offline
Last seen: 11 years 3 months ago
Joined: 2013-01-17 12:22
Firefox couldn't load XPCOM

Firefox Portable v17.0 ran just fine. But after I upgraded to Firefox Portable v18.0 I get a runtime error which says "Firefox couldn't load XPCOM". Am I missing some 3rd party components like xulrunner to make it work?

John T. Haller
John T. Haller's picture
Online
Last seen: 3 min 48 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Component?

Is it a specific component or something causing the issue? How did you upgrade from 17 to 18? If you used Firefox's built in updater, please try downloading and installing Firefox Portable 18 over your existing copy. This does an 'in place upgrade' and preserves all your settings but ensures that Firefox is fully updates.

Sometimes, the impossible can become possible, if you're awesome!

hotjimmychonga
Offline
Last seen: 11 years 3 months ago
Joined: 2013-01-17 12:22
RE: Component?

I was able to reproduce the issue again on a BartPE installation CD built from Server 2003. I ran the FirefoxPortable_18.0_English.paf.exe file to update a v17.0.2 ESR portable installation, and tried to run it from a hard drive and it still won't allow the "XPCOM" component to load. For right now I'm sticking with v17.0.2 ESR for BartPE.

John T. Haller
John T. Haller's picture
Online
Last seen: 3 min 48 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Real windows

please try it on a real windows install to rule out issues with bartpe compatibility. Like most software, firefox is not supported on bartpe.

Sometimes, the impossible can become possible, if you're awesome!

cxase
Offline
Last seen: 11 years 2 months ago
Joined: 2009-07-14 10:01
I met the same issue when

I met the same issue when upgraded to v18.0.1 on Windows 7. The Firefox upgraded itself at first and caused the problem. Then I overridden it with portable version downloaded from here, but still cannot open the main windows of Firefox. Tried to rename the `profile` folder but no effect. Will try install a whole new one tonight.

eddytipprt
Offline
Last seen: 8 years 4 months ago
Joined: 2015-12-02 16:00
Firefox couldn't load XPCOM error after upgrade

So I just upgraded to Firefox Portable v42 and got the Couldn't load XPCOM error message.

I tried to rewrite the install with a new copy and still get the error.
I tried to delete the files and install from scratch and still get the error.

I have searched all morning for any help and cannot find any information on resolving this issue.
This is the only post I found with the same specific issue, so I figured I would post here first.

Can anyone give me information on how to resolve this issue?

Log in or register to post comments